# Class: Content

## helma.Zip.Content()

Instances of this class represent the content of a zip archive.

## Constructor

#### new Content()

Creates a new helma.Zip.Content instance

Source:
  - helma/Zip.js, line 381

##### Returns:

A newly created instance of helma.Zip.Content

### Members

#### files

The files contained in the zip archive, where each directory level is a separate object containing the entries (files and directories) as properties.

Source:
  - helma/Zip.js, line 393

#### toc :Array

The table of contents of the archive

##### Type:

- Array

Source:
  - helma/Zip.js, line 386

### Methods

#### add(entry)

Adds a zip entry object to the table of contents and the files collection

##### Parameters:

Name | Type | Description
--- | --- | ---
`entry` | helma.Zip.Entry | The entry to add to the zip archive

Source:
  - helma/Zip.js, line 401